<div class="main-container">
  <app-header [sidenavChild]="sidenav"></app-header>

  <mat-sidenav-container class="sidenav-container">

    <mat-sidenav #sidenav class="w-10p">
      <mat-list (click)="sidenav.toggle()">
        <mat-list-item >
          <mat-icon>home</mat-icon>
          <span class="ml-15"><a [routerLink]="['/']">Home</a></span>
        </mat-list-item>
        <mat-divider></mat-divider>
        <mat-list-item >
          <mat-icon>list</mat-icon>
          <span class="ml-15"><a [routerLink]="['/categoria']">Categoria</a></span>
        </mat-list-item>
        <mat-divider></mat-divider>
        <mat-list-item>
          <mat-icon>grid_4x4</mat-icon>
          <span class="ml-15"><a [routerLink]="['/checklist']">Check-List</a></span>
        </mat-list-item>
      </mat-list>

    </mat-sidenav>

    <mat-sidenav-content>
      <router-outlet></router-outlet>
    </mat-sidenav-content>

  </mat-sidenav-container>

  <app-footer></app-footer>
</div>


